//
//  WavDef.h
//  chroma
//
//  Created by annie zhang on 3/2/13.
//  Copyright (c) 2013 annie zhang. All rights reserved.
//

#ifndef chroma_WavDef_h
#define chroma_WavDef_h
#include "main.h"



/* Audio Parsing Constants */
#define  CHUNK_ID             0x52494646  /* correspond to the letters 'RIFF' */
#define  FILE_FORMAT          0x57415645  /* correspond to the letters 'WAVE' */
#define  FORMAT_ID            0x666D7420  /* correspond to the letters 'fmt ' */
#define  DATA_ID              0x64617461  /* correspond to the letters 'data' */
#define  FACT_ID              0x66616374  /* correspond to the letters 'fact' */


//RIFF
typedef struct ChunkRIFF
{
    uint32_t ChunkID;		   	//chunk id;̶Ϊ"RIFF",0X46464952
    uint32_t ChunkSize ;		   	//ϴС;ļܴС-8
    uint32_t Format;	   			//ʽ;WAVE,0X45564157
} st_ChunkRIFF;
//fmt
typedef struct ChunkFMT
{
    uint32_t ChunkID;		   	//chunk id;̶Ϊ"fmt ",0X20746D66
    uint32_t ChunkSize ;		   	//ӼϴС(IDSize);Ϊ:20.
    uint16_t AudioFormat;	  	//Ƶʽ;0X01,ʾPCM;0X11ʾIMA ADPCM
    uint16_t NumOfChannels;		//ͨ;1,ʾ;2,ʾ˫;
    uint32_t SampleRate;			//;0X1F40,ʾ8Khz
    uint32_t ByteRate;			//ֽ;
    uint16_t BlockAlign;			//(ֽ);ҲǷֿĴС-blockSize
    uint16_t BitsPerSample;		//ݴС;4λADPCM,Ϊ4
	uint16_t ByteExtraData;		//ӵֽ;2; PCM,û
    uint16_t sampleperblock;   //һһݿеĲ 磺blocksize=256ӦΪ505Ϊ0x01F9	
} st_ChunkFMT;
//fact
typedef struct ChunkFACT
{
    uint32_t ChunkID;		   	//chunk id;̶Ϊ"fact",0X74636166;
    uint32_t ChunkSize ;		   	//ӼϴС(IDSize);Ϊ:4.
    uint32_t NumOfSamples;	  	//;
}st_ChunkFACT;
//data
typedef struct ChunkDATA
{
    uint32_t ChunkID;		   	//chunk id;̶Ϊ"data",0x61746164
    uint32_t ChunkSize ;		   	//ӼϴС(IDSize)
}st_ChunkDATA;


//wavͷ
typedef struct WaveHeader
{
    st_ChunkRIFF riff;	//riff
    st_ChunkFMT fmt;  	//fmt
		st_ChunkFACT fact;	//fact PCM,ûṹ
    st_ChunkDATA data;	//data
}st_WaveHeader;


#endif
